31 (14.05.2013 15:59:50 отредактировано dezhurant)

Re: KDE для openSUSE

После обновления по zypper dup на панели исчезли некоторые значки системных уведомлений, вместо них-белые крестики на красном фоне. И пишет-не удалось создать declarativeappletscript. Обновилось ядро, мозилла и что-то из KDE. Как это исправить?
PS: Вопрос снят, по автоапдейту прилетел KDE runtime components, после перезагрузки всё стало на свои места.

32

Re: KDE для openSUSE

KDE 4.10.4 в репозитории KDE:/Release:/410/
Можно обновляться.

33

Re: KDE для openSUSE

KDE 4.10.5 в репозитории KDE:/Release:/410/
Все branding-пакеты приведены в порядок.
Можно обновляться.

34

Re: KDE для openSUSE

KDE 4.11 в репозитории KDE:/Release:/411/

Себе, пока что поставил так:
Стандартные репозитории приоритет: 99
Репозитории KR410, KR410-Extra + остальные дополнительные репозитории с приоритетом: 98
Репозитории KR411, KR411-Extra с приоритетом: 97

Со всего: zypper dup



з.ы. KR410 и KR410-Extra  потом отключу, как соберут пару недостающих пакетов в KR411

35 (15.08.2013 14:13:55 отредактировано rash)

Re: KDE для openSUSE

Поставил 4.11, перелогинился.
Плазма только вначале сеанса мелькнула и нету ее. Экран черный.
По настройке "восстановление предыдущего сеанса" есть и работают два окна: браузер и консоль :-)
Любопытство сгубило не только кошку...
И как это отремонтировать? Подскажите, пожалуйста.

36 (15.08.2013 19:02:56 отредактировано ostrov)

Re: KDE для openSUSE

ну если консоль работает, sudo yast2, потом редактируешь репы назад до 4,10 и zypper dup.
я, кстати тоже в таком-же положении. Походу какие-то заморочки в кdm, консольный вход даже недоступен, экран на ctrl
+alt+F1-F7 просто тухнет.

37

Re: KDE для openSUSE

rash, ostrov,
Пробуйте так, как у меня написано в сообщении 34.
Ошибок быть не должно.

38

Re: KDE для openSUSE

ostrov, спасибо за ответ!
Я как раз на стадии отката КДЕ до 4.10.5.
Сейчас перегружусь, а там видно будет :-)

39

Re: KDE для openSUSE

verg, я так и поступал.
Но после описанного исхода пришлось (благо, консоль работает)

zypper repos
zypper mr -d 4
zypper mr -d 5

выключить репы 4.11 и выполнить

zypper dup

40

Re: KDE для openSUSE

rash,
Какие приоритеты были у ваших реп?

41

Re: KDE для openSUSE

Успешно откатился до 4.10, похоже 4.11 репы просто ещё не полные

42

Re: KDE для openSUSE

verg, все было выполнено по сценарию поста 34, расстановка приоритетов в том числе.
Но тут вырисовывается, по крайней мере для моего случая, грустная картина. Я устанавливал 13.1 м4 (интересно же) как в виртуалке, так и на физический носитель, и в обоих случаях точно с такими же признаками слетала плазма.
Тем не менее готов поучаствовать в экспериментах с 4.11 на общее благо, если таковые будут в этом топике объявлены.

43

Re: KDE для openSUSE

verg я также попробовал сейчас способ с установкой приоритетов, и также получил предыдущий неудачный вариант

44

Re: KDE для openSUSE

ostrov,
Можно посмотреть репы?

zypper lr -up

45

Re: KDE для openSUSE

увы, уже опять убил репы 4.11 и обновляюсь до 4.10 ab

46

Re: KDE для openSUSE

впрочем, вот, восстановил, было так:

ostrov2@linux-ostrov2:~> zypper lr -up
#  | Псевдоним                    | Имя                          | Включён | Обновление | Приоритет | URI                                                                                               
---+------------------------------+------------------------------+---------+------------+-----------+---------------------------------------------------------------------------------------------------
 1 | Core_411                     | Core 411                     | Да      | Да         |   97      | http://download.opensuse.org/repositories/KDE:/Release:/411/openSUSE_12.3/                        
 2 | Core_packages_KDE            | Core packages KDE            | Да      | Да         |   98      | http://download.opensuse.org/repositories/KDE:/Release:/410/openSUSE_12.3/                        
 3 | Extra_411                    | Extra 411                    | Да      | Да         |   97      | http://download.opensuse.org/repositories/KDE:/Extra/KDE_Release_411_openSUSE_12.3/               
 4 | Extra_KDE                    | Extra KDE                    | Да      | Да         |   98      | http://download.opensuse.org/repositories/KDE:/Extra/KDE_Release_410_openSUSE_12.3/               
 5 | Mono                         | Mono                         | Да      | Да         |   99      | http://download.opensuse.org/repositories/Mono/openSUSE_Tumbleweed/                               
 6 | Playground_411               | Playground 411               | Да      | Да         |   97      | http://download.opensuse.org/repositories/KDE:/Unstable:/Playground/KDE_Release_411_openSUSE_12.3/
 7 | Unstable:Playground_KDE      | Unstable:Playground KDE      | Да      | Да         |   98      | http://download.opensuse.org/repositories/KDE:/Unstable:/Playground/KDE_Release_410_openSUSE_12.3/
 8 | download.nvidia.com-opensuse | nVidia Graphics Drivers      | Да      | Да         |   99      | ftp://download.nvidia.com/opensuse/12.3/                                                          
 9 | home:Lazy_Kent               | home:Lazy_Kent               | Да      | Да         |   99      | http://download.opensuse.org/repositories/home:/Lazy_Kent/openSUSE_12.3/                          
10 | openSUSE:12.3:Update         | openSUSE:12.3:Update         | Да      | Да         |   99      | http://download.opensuse.org/update/12.3/                                                         
11 | packman.inode.at-suse        | Packman Repository           | Да      | Да         |   99      | http://ftp.gwdg.de/pub/linux/misc/packman/suse/12.3/                                              
12 | repo-non-oss                 | openSUSE-12.3-Non-Oss        | Да      | Да         |   99      | http://download.opensuse.org/distribution/12.3/repo/non-oss/                                                                                                                          
13 | repo-oss                     | openSUSE-12.3-Oss            | Да      | Да         |   99      | http://download.opensuse.org/distribution/12.3/repo/oss/                                                                                                                              
14 | repo-source                  | openSUSE-12.3 Source         | Нет     | Да         |   99      | http://download.opensuse.org/source/distribution/12.3/repo/oss/                                                                                                                       
15 | repo-update                  | openSUSE-12.3-Update         | Да      | Да         |   99      | http://download.opensuse.org/update/12.3/                                                                                                                                             
16 | repo-update-non-oss          | openSUSE-12.3-Update-Non-Oss | Да      | Да         |   99      | http://download.opensuse.org/update/12.3-non-oss/                                                                                                                                     
17 | subpixel                     | subpixel                     | Да      | Нет        |   98      | http://download.opensuse.org/repositories/home:/namtrac:/subpixel/openSUSE_12.3/                                                                                                      
18 | utilities                    | utilities                    | Да      | Да         |   99      | http://download.opensuse.org/repositories/utilities/openSUSE_12.3/     

47

Re: KDE для openSUSE

ostrov,
Удалите следующую гадость:

Playground 411
Unstable:Playground KDE

После можно: zypper dup


Посоветовал бы приоритет 98 для следующих реп:

Mono
nVidia Graphics Drivers
home:Lazy_Kent
Packman Repository
utilities

И включить обновление у репы subpixel.

48

Re: KDE для openSUSE

таки да, удалил плейграунд, обновился, завелось  ab

49

Re: KDE для openSUSE

Обновился до 4.11, ничего не меняя в репах, только соответствующий добавил... Ничего не упало, всё работает... Может, я что-то не так делаю? ah

50

Re: KDE для openSUSE

Кто может подсказать, как мне правильно обновиться до  KDE 4.11 , если  в репозитории subpixel есть библиотеки Qt, которые ниже версией, чем в репозитории KDE и поэтому идут конфликты.

Вот мои репозитории:

#  | Псевдоним           | Имя                          | Включён | Обновление | Приоритет | URI                                                                                   
---+---------------------+------------------------------+---------+------------+-----------+---------------------------------------------------------------------------------------
 1 | Games               | Games                        | Да      | Да         |   99      | http://download.opensuse.org/repositories/games/openSUSE_12.3/                        
 2 | KDE411:Release      | KDE411:Release               | Нет     | Нет        |   99      | http://download.opensuse.org/repositories/KDE:/Release:/411/openSUSE_12.3/            
 3 | KDE_Extra           | KDE_Extra                    | Да      | Да         |   99      | http://download.opensuse.org/repositories/KDE:/Extra/openSUSE_12.3/                   
 4 | Subpixel            | Subpixel                     | Да      | Да         |   99      | http://download.opensuse.org/repositories/home:/namtrac:/subpixel/openSUSE_12.3/      
 5 | Vacuum-IM           | Vacuum-IM                    | Да      | Да         |   99      | http://download.opensuse.org/repositories/home:/EGDFree:/vacuum-im:/git/openSUSE_12.3/
 6 | ftp.gwdg.de-suse    | Packman Repository           | Да      | Да         |   99      | http://ftp.gwdg.de/pub/linux/packman/suse/openSUSE_12.3/                              
 7 | repo-non-oss        | openSUSE-12.3-Non-Oss        | Да      | Да         |   99      | http://download.opensuse.org/distribution/12.3/repo/non-oss/                          
 8 | repo-oss            | openSUSE-12.3-Oss            | Да      | Да         |   99      | http://download.opensuse.org/distribution/12.3/repo/oss/                              
 9 | repo-update         | openSUSE-12.3-Update         | Да      | Да         |   99      | http://download.opensuse.org/update/12.3/                                             
10 | repo-update-non-oss | openSUSE-12.3-Update-Non-Oss | Да      | Да         |   99      | http://download.opensuse.org/update/12.3-non-oss/  

51

Re: KDE для openSUSE

Oleh_1992,
Выполните одной командой:

# zypper mr -p 98 Games && zypper mr -er KDE411:Release && zypper mr -p 97 KDE411:Release && zypper rr KDE_Extra && zypper mr -p 98 Subpixel && zypper mr -p 98 Vacuum-IM && zypper mr -p 98 'Packman Repository' && zypper ar -f http://download.opensuse.org/repositories/KDE:/Extra/KDE_Release_411_openSUSE_12.3/ KDE411-Extra && zypper mr -p 97 KDE411-Extra && zypper ar -f http://download.opensuse.org/repositories/KDE:/Release:/410/openSUSE_12.3/ KR410 && zypper mr -p 98 KR410 && zypper ar -f http://download.opensuse.org/repositories/KDE:/Extra/KDE_Release_410_openSUSE_12.3/ KR410-Extra && zypper mr -p 98 KR410-Extra && zypper ref && zypper dup

52

Re: KDE для openSUSE

Как бы в дополнение к предыдущему посту вопрос: установлен QT 5.1, но одновременно стоит много пакетов QT4, при попытке удаления которых они угрожают унести с собой много всего, чуть не полсистемы... Эти зависимости так и должны быть, или как-то можно удалить QT4, оставив только QT5?

53

Re: KDE для openSUSE

dezhurant,
Ничего не делайте.
Для KDE4 нужен QT4, а не Qt5.

54

Re: KDE для openSUSE

Спасибо, понял.

55

Re: KDE для openSUSE

verg пишет

Oleh_1992,
Выполните одной командой:

# zypper mr -p 98 Games && zypper mr -er KDE411:Release && zypper mr -p 97 KDE411:Release && zypper rr KDE_Extra && zypper mr -p 98 Subpixel && zypper mr -p 98 Vacuum-IM && zypper mr -p 98 'Packman Repository' && zypper ar -f http://download.opensuse.org/repositories/KDE:/Extra/KDE_Release_411_openSUSE_12.3/ KDE411-Extra && zypper mr -p 97 KDE411-Extra && zypper ar -f http://download.opensuse.org/repositories/KDE:/Release:/410/openSUSE_12.3/ KR410 && zypper mr -p 98 KR410 && zypper ar -f http://download.opensuse.org/repositories/KDE:/Extra/KDE_Release_410_openSUSE_12.3/ KR410-Extra && zypper mr -p 98 KR410-Extra && zypper ref && zypper dup

Проделал, вроди все отлично, но не пойму, зачем добавились 2 репозитория с KDE4.10 , можно их удалить?

Спасибо

56

Re: KDE для openSUSE

Oleh_1992 пишет

Проделал, вроди все отлично, но не пойму, зачем добавились 2 репозитория с KDE4.10 , можно их удалить?

Пока не надо.
Есть мнение, что репы KR411 не совсем полные.

Эти мешаться не будут.


з.ы. потом сообщу в этой теме, когда можно будет удалить. Слежу за этим внимательно.

57

Re: KDE для openSUSE

verg пишет
Oleh_1992 пишет

Проделал, вроди все отлично, но не пойму, зачем добавились 2 репозитория с KDE4.10 , можно их удалить?

Пока не надо.
Есть мнение, что репы KR411 не совсем полные.

Эти мешаться не будут.


з.ы. потом сообщу в этой теме, когда можно будет удалить. Слежу за этим внимательно.

https://build.opensuse.org/project/moni … elease:411

58

Re: KDE для openSUSE

Oleh_1992,
Не в этом смысле.

59

Re: KDE для openSUSE

Oleh_1992,
Примерно, что будет у меня, если отключить KR410:

localhost:/home/verg # zypper dup -D
Предупреждение: Вы собираетесь обновить дистрибутив со всех включённых репозиториев. Перед тем, как продолжить, убедитесь, что эти репозитории совместимы. Больше информации об этой команде можно найти в 'man zypper'.
Загрузка данных о репозиториях...
Чтение установленных пакетов...
Просчёт обновления дистрибутива...

Будет обновлён следующий пакет:
  libkipi10 

Будут обновлены до более старой версии следующие пакеты:
  appmenu-qt cln k3b krename kvkbd libdmtx0 libkolab0 libkolabxml0 libkvkontakte1 libmediastreamer1 libmsn0_3 libortp8 libphonon4 libpodofo0_9_1 libpolkit-qt-1-1 libpolkit-qt-1-devel libprison0 libqalculate5 
  libqoauth1 libqrencode3 libredland0 libredland-devel libstrigi0 mobile-broadband-provider-info phonon-backend-gstreamer-0_10 phonon-devel polkit-kde-agent-1 polkit-kde-kcmmodules-1 skanlite skanlite-doc 
  skanlite-lang strigi strigi-devel virtuoso-drivers virtuoso-server yakuake yakuake-lang 

Следующие пакеты изменят производителя:
  appmenu-qt                      obs://build.opensuse.org/KDE -> openSUSE                     
  cln                             obs://build.opensuse.org/KDE -> openSUSE                     
  k3b                             obs://build.opensuse.org/KDE -> http://packman.links2linux.de
  krename                         obs://build.opensuse.org/KDE -> openSUSE                     
  kvkbd                           obs://build.opensuse.org/KDE -> openSUSE                     
  libdmtx0                        obs://build.opensuse.org/KDE -> openSUSE                     
  libkipi10                       obs://build.opensuse.org/KDE -> openSUSE                     
  libkolab0                       obs://build.opensuse.org/KDE -> openSUSE                     
  libkolabxml0                    obs://build.opensuse.org/KDE -> openSUSE                     
  libkvkontakte1                  obs://build.opensuse.org/KDE -> openSUSE                     
  libmediastreamer1               obs://build.opensuse.org/KDE -> http://packman.links2linux.de
  libmsn0_3                       obs://build.opensuse.org/KDE -> openSUSE                     
  libortp8                        obs://build.opensuse.org/KDE -> openSUSE                     
  libphonon4                      obs://build.opensuse.org/KDE -> openSUSE                     
  libpodofo0_9_1                  obs://build.opensuse.org/KDE -> openSUSE                     
  libpolkit-qt-1-1                obs://build.opensuse.org/KDE -> openSUSE                     
  libpolkit-qt-1-devel            obs://build.opensuse.org/KDE -> openSUSE                     
  libprison0                      obs://build.opensuse.org/KDE -> openSUSE                     
  libqalculate5                   obs://build.opensuse.org/KDE -> openSUSE                     
  libqoauth1                      obs://build.opensuse.org/KDE -> openSUSE                     
  libqrencode3                    obs://build.opensuse.org/KDE -> openSUSE                     
  libredland0                     obs://build.opensuse.org/KDE -> openSUSE                     
  libredland-devel                obs://build.opensuse.org/KDE -> openSUSE                     
  libstrigi0                      obs://build.opensuse.org/KDE -> http://packman.links2linux.de
  mobile-broadband-provider-info  obs://build.opensuse.org/KDE -> openSUSE                     
  phonon-backend-gstreamer-0_10   obs://build.opensuse.org/KDE -> openSUSE                     
  phonon-devel                    obs://build.opensuse.org/KDE -> openSUSE                     
  polkit-kde-agent-1              obs://build.opensuse.org/KDE -> openSUSE                     
  polkit-kde-kcmmodules-1         obs://build.opensuse.org/KDE -> openSUSE                     
  skanlite                        obs://build.opensuse.org/KDE -> openSUSE                     
  skanlite-doc                    obs://build.opensuse.org/KDE -> openSUSE                     
  skanlite-lang                   obs://build.opensuse.org/KDE -> openSUSE                     
  strigi                          obs://build.opensuse.org/KDE -> http://packman.links2linux.de
  strigi-devel                    obs://build.opensuse.org/KDE -> http://packman.links2linux.de
  virtuoso-drivers                obs://build.opensuse.org/KDE -> openSUSE                     
  virtuoso-server                 obs://build.opensuse.org/KDE -> openSUSE                     
  yakuake                         obs://build.opensuse.org/KDE -> openSUSE                     
  yakuake-lang                    obs://build.opensuse.org/KDE -> openSUSE                     


1 пакет для обновления, 37 для отката, 38 для смены производителя.
Полный размер загрузки: 17,7 MiB. После этой операции будет использовано дополнительно 1,3 MiB.
Продолжить? [y/n/?] (y): 

60

Re: KDE для openSUSE

Если я правильно понял, то чем ниже приоритет у репозитория, тем главнее он?